#include <engine.h>

char	buffer[4096];
int		index;

void	TermInput() {
	int c = 0;
	c = GetCharPressed();
	while (c) {
		//handle special char :
		/*
			Backslash
			Enter
			Esc
			Ctrl +
			Alt +
			Maj +
			Caps Lock
			Space ?
			arrow left and right
			and cursor position
			history ?
			maybe could use readline
		*/
		buffer[index] = c;
		c = GetCharPressed();
	}	
}
